{#
 * Copyright (C) 2018, Champs Libres Cooperative SCRLFS, <http://www.champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
#}

{% extends "@ChillPerson/Person/layout.html.twig"  %}

{% set activeRouteKey = '' %}

{% import "@ChillDocStore/Macro/macro.html.twig" as m %}

{% block title %}
	{{ 'Documents for %name%'|trans({ '%name%': person|chill_entity_render_string } ) }}
{% endblock %}

{% block js %}
	{{ parent() }}
    {{ encore_entry_script_tags('mod_docgen_picktemplate') }}
    {{ encore_entry_script_tags('mod_entity_workflow_pick') }}
    {{ encore_entry_script_tags('mod_document_action_buttons_group') }}
{% endblock %}

{% block css %}
	{{ parent() }}
    {{ encore_entry_link_tags('mod_docgen_picktemplate') }}
    {{ encore_entry_link_tags('mod_entity_workflow_pick') }}
    {{ encore_entry_link_tags('mod_document_action_buttons_group') }}
{% endblock %}

{% block content %}

<div class="col-md-10 col-xxl">
	<h1>{{ 'Documents for %name%'|trans({ '%name%': person|chill_entity_render_string } ) }}</h1>

    {{ filter|chill_render_filter_order_helper }}

	{% if documents|length == 0 %}
            <p class="chill-no-data-statement">{{ 'No documents'|trans }}</p>
    {% else %}
		<div class="flex-table chill-task-list">
			{% for document in documents %}
                {{ document|chill_generic_doc_render }}
			{% endfor %}
		</div>
    {% endif %}

	{{ chill_pagination(pagination) }}

	<div data-docgen-template-picker="data-docgen-template-picker" data-entity-class="Chill\PersonBundle\Entity\Person" data-entity-id="{{ person.id }}"></div>

	{% if is_granted('CHILL_PERSON_DOCUMENT_CREATE', person) %}
		<ul class="record_actions sticky-form-buttons">
			<li class="create">
				<a href="{{ path('person_document_new', {'person': person.id}) }}" class="btn btn-create">
					{{ 'Create new document' | trans }}
				</a>
			</li>
		</ul>
	{% endif %}

</div>
{% endblock %}
